{% block action_table %}

<h3>Select offers related to the {{ service }} service</h3>

<div id="gam_toolbar"> 
{% if is_dso %}
    <button id="slctbtn" type="button" class="btn btn-default select-offers-btn" disabled="disabled" onclick="selectOffer();">
        <span class="glyphicon glyphicon-ok" style="vertical-align: initial!important"></span> Select offer
    </button>
{% endif  %}
</div>

<table 
    id="data_table_session_closed"
    class="table"
    data-toolbar="#gam_toolbar"
    data-pagination="true" 
    data-search="true" 
    data-id-field="id" 
    data-page-list="[10, 25, 50, 100, ALL]" 
    data-sort-name="ancillaryService"
    data-sort-name="ancillaryService"
    data-sort-order="asc"
    data-click-to-select="false" 
    data-single-select="false">
    <thead>
        <tr>
            {% if request.session.is_dso %}<th data-field="state" data-checkbox="true" data-visible="true"></th>{% endif %}
            <th class="th th-inner" data-sortable="true" data-field="id">ID</th>
             {% if request.session.actor.marketActorTypeid.type == "market operator" %}
                    <th class="th th-inner" data-sortable="true" data-field="participant" data-formatter="setMarketActorFormatter" data-visible="true">
                        Participant
                    </th>
            {% endif %}
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="serviceFormatter" data-field="ancillaryService" >Service</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="typeFormatter" data-field="actionType" >Type</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="europeanNumberFormatter" data-field="value">Value
            {% if service == "reactive_power_compensation" %}  (kVA) {% else %}  (kW) {% endif %} </th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="europeanNumberFormatter" data-field="price">Price
            {% if service == "reactive_power_compensation" %}  (&#8364;/kVA) {% else %}  (&#8364;/kW) {% endif %} </th> </th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-field="date">Date</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-field="actionStartTime">Start Time</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-field="actionEndTime">End Time</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-field="deliveryPoint">Delivery Point</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="statusFormatter" data-field="actionStatus">Status</th>
        </tr>
    </thead>
</table>


{% endblock %}